LVM configuration cannot be removed when volume groups with the same name are found during installation

Bug #1679184 reported by bugproxy on 2017-04-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
Ubuntu on IBM z Systems
Medium
Canonical Server Team
partman-lvm (Ubuntu)
Medium
Skipper Bug Screeners

Bug Description

Installer version: 20101020ubuntu500

Kernel: 4.10.0-14

Description/Reproduction:

During installation, the installer finds LVM volume groups from a previous installation.

Current LVM configuration:
 Unallocated physical volumes:
   * /dev/mapper/mpatha2 (21218MB)

 Volume groups:
   * rootVG (21218MB)
     - Uses physical volume: /dev/dasda2 (21315MB)
     - Uses physical volume: /dev/mapper/mpathc1 (21470MB)
     - Uses physical volume: [unknown] (21470MB)
     - Uses physical volume: [unknown] (21470MB)
   * rootVG (21470MB)
     - Uses physical volume: /dev/dasda2 (21315MB)
     - Uses physical volume: /dev/mapper/mpathc1 (21470MB)
     - Uses physical volume: [unknown] (21470MB)
     - Uses physical volume: [unknown] (21470MB)
   * rootvg (42685MB)
     - Uses physical volume: /dev/mapper/mpathb1 (21470MB)
     - Uses physical volume: [unknown] (214

When trying to remove that LVM using "Configure the Logical Volume Manager", it is not possible to remove logical volumes. The error "The logical volume swapLV on rootVG could not be deleted." is displayed. In syslog, you see the following messages:

Apr 3 12:55:56 partman-lvm: Multiple VGs found with the same name: skipping rootVG
Apr 3 12:55:56 partman-lvm: Use --select vg_uuid=<uuid> in place of the VG name.

As you cannot use the suggested parameter in the installer, the system cannot be installed without manually removing the LVM setup with another shell.

Debug logs are attached

Default Comment by Bridge

tags: added: architecture-s39064 bugnameltc-153121 severity-medium targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → llvm-toolchain-3.5 (Ubuntu)
affects: llvm-toolchain-3.5 (Ubuntu) → lvm2 (Ubuntu)
bugproxy (bugproxy) on 2017-04-03
tags: added: targetmilestone-inin1704
removed: targetmilestone-inin---
Changed in ubuntu-z-systems:
assignee: nobody → Canonical Server Team (canonical-server)
Changed in ubuntu-z-systems:
importance: Undecided → Medium
Dimitri John Ledkov (xnox) wrote :

This is a won't fix bug, yes please use the provided shell or for dasd drives, use preseed to format them. You can also use partman early-command preseed to wipe the drives harder.

affects: lvm2 (Ubuntu) → partman-lvm (Ubuntu)
Changed in partman-lvm (Ubuntu):
status: New → Won't Fix
Changed in ubuntu-z-systems:
status: New → Won't Fix

------- Comment From <email address hidden> 2017-04-10 10:05 EDT-------
@Xnox, if this will not be fixed. Does it make sense to document the usage you suggesting to be mentioned as best-practise, and the other-one as "be aware of this behavior"....

Dimitri John Ledkov (xnox) wrote :

we could document this corner case better in the docs; and we can mention this in the release notes as a known issue.

I am wondering that maybe partman-lvm could be enchanced to handle this usecase by passing (usually redudandatly the vg_uuid parameter).

In practice, there are many corner cases with lvm: e.g. in the past people have tried to use volume groups with clash with device names in /dev or clash with hostname received from DHCP; all of these scenarios lead to LVM installs failing. This is just one more variation on the above.

If one uses automated lvm install we try to use a uniquish volume group name, but it is not guaranteed to work given that there are currently no checks on clashing and trying some other name.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-04-13 05:02 EDT-------
Will be closed after verificaition of documentation within the release notes....

Changed in ubuntu-release-notes:
status: New → Fix Committed
Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released
Changed in partman-lvm (Ubuntu):
importance: Undecided → Medium
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-17 07:49 EDT-------
@XNOX, can you please point me to the updated release notes entries for closure.. Many thanks

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-02 09:36 EDT-------
IBM Bugzilla Status -> Closed. Documented !

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers